Index: src/logfile.c
===================================================================
RCS file: /cvsroot/squid/squid/src/logfile.c,v
retrieving revision 1.6
diff -u -p -r1.6 logfile.c
--- src/logfile.c	6 Apr 2002 23:06:54 -0000	1.6
+++ src/logfile.c	25 Jun 2002 20:09:10 -0000
@@ -180,7 +180,7 @@ static void
 logfileWriteWrapper(Logfile * lf, const void *buf, size_t len)
 {
     int s;
-    s = write(lf->fd, buf, len);
+    s = FD_WRITE_METHOD(lf->fd, buf, len);
     fd_bytes(lf->fd, s, FD_WRITE);
     if (s == len)
 	return;
Index: src/net_db.c
===================================================================
RCS file: /cvsroot/squid/squid/src/net_db.c,v
retrieving revision 1.14
diff -u -p -r1.14 net_db.c
--- src/net_db.c	18 Apr 2002 16:30:12 -0000	1.14
+++ src/net_db.c	25 Jun 2002 20:09:11 -0000
@@ -459,7 +459,7 @@ netdbReloadState(void)
 	return;
     }
     t = buf = xcalloc(1, sb.st_size + 1);
-    l = read(fd, buf, sb.st_size);
+    l = FD_READ_METHOD(fd, buf, sb.st_size);
     file_close(fd);
     if (l <= 0)
 	return;
Index: src/fs/aufs/store_dir_aufs.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/aufs/store_dir_aufs.c,v
retrieving revision 1.28
diff -u -p -r1.28 store_dir_aufs.c
--- src/fs/aufs/store_dir_aufs.c	20 May 2002 01:02:24 -0000	1.28
+++ src/fs/aufs/store_dir_aufs.c	25 Jun 2002 20:09:12 -0000
@@ -417,7 +417,7 @@ storeAufsDirRebuildFromDirectory(void *d
 		rb->sd->path, rb->counts.scancount);
 	debug(20, 9) ("file_in: fd=%d %08X\n", fd, filn);
 	statCounter.syscalls.disk.reads++;
-	if (read(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
+	if (FD_READ_METHOD(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
 	    debug(20, 1) ("storeAufsDirRebuildFromDirectory: read(FD %d): %s\n",
 		fd, xstrerror());
 	    file_close(fd);
@@ -1017,7 +1017,7 @@ storeAufsDirWriteCleanEntry(SwapDir * sd
     state->outbuf_offset += ss;
     /* buffered write */
     if (state->outbuf_offset + ss > CLEAN_BUF_SZ) {
-	if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+	if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	    debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 		state->new, xstrerror());
 	    debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile not replaced.\n");
@@ -1043,7 +1043,7 @@ storeAufsDirWriteCleanDone(SwapDir * sd)
     if (state->fd < 0)
 	return;
     state->walker->Done(state->walker);
-    if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+    if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 	    state->new, xstrerror());
 	debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile "
Index: src/fs/coss/store_dir_coss.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/coss/store_dir_coss.c,v
retrieving revision 1.21
diff -u -p -r1.21 store_dir_coss.c
--- src/fs/coss/store_dir_coss.c	20 May 2002 01:02:24 -0000	1.21
+++ src/fs/coss/store_dir_coss.c	25 Jun 2002 20:09:12 -0000
@@ -548,7 +548,7 @@ storeCossDirWriteCleanEntry(SwapDir * sd
     state->outbuf_offset += ss;
     /* buffered write */
     if (state->outbuf_offset + ss > CLEAN_BUF_SZ) {
-	if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+	if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	    debug(50, 0) ("storeCossDirWriteCleanLogs: %s: write: %s\n",
 		state->new, xstrerror());
 	    debug(20, 0) ("storeCossDirWriteCleanLogs: Current swap logfile not replaced.\n");
@@ -573,7 +573,7 @@ storeCossDirWriteCleanDone(SwapDir * sd)
 	return;
     if (state->fd < 0)
 	return;
-    if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+    if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	debug(50, 0) ("storeCossDirWriteCleanLogs: %s: write: %s\n",
 	    state->new, xstrerror());
 	debug(20, 0) ("storeCossDirWriteCleanLogs: Current swap logfile "
Index: src/fs/coss/store_io_coss.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/coss/store_io_coss.c,v
retrieving revision 1.10
diff -u -p -r1.10 store_io_coss.c
--- src/fs/coss/store_io_coss.c	13 Apr 2002 23:09:18 -0000	1.10
+++ src/fs/coss/store_io_coss.c	25 Jun 2002 20:09:12 -0000
@@ -465,7 +465,7 @@ storeCossSync(SwapDir * SD)
 	    sleep(5);		/* XXX EEEWWW! */
 	lseek(cs->fd, t->diskstart, SEEK_SET);
 	end = (t == cs->current_membuf) ? cs->current_offset : t->diskend;
-	write(cs->fd, t->buffer, end - t->diskstart);
+	FD_WRITE_METHOD(cs->fd, t->buffer, end - t->diskstart);
     }
 }
 
Index: src/fs/diskd/store_dir_diskd.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/diskd/store_dir_diskd.c,v
retrieving revision 1.39
diff -u -p -r1.39 store_dir_diskd.c
--- src/fs/diskd/store_dir_diskd.c	20 May 2002 01:02:25 -0000	1.39
+++ src/fs/diskd/store_dir_diskd.c	25 Jun 2002 20:09:13 -0000
@@ -579,7 +579,7 @@ storeDiskdDirRebuildFromDirectory(void *
 		rb->sd->path, rb->counts.scancount);
 	debug(20, 9) ("file_in: fd=%d %08X\n", fd, filn);
 	statCounter.syscalls.disk.reads++;
-	if (read(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
+	if (FD_READ_METHOD(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
 	    debug(20, 1) ("storeDiskdDirRebuildFromDirectory: read(FD %d): %s\n",
 		fd, xstrerror());
 	    file_close(fd);
@@ -1206,7 +1206,7 @@ storeDiskdDirWriteCleanEntry(SwapDir * s
     state->outbuf_offset += ss;
     /* buffered write */
     if (state->outbuf_offset + ss > CLEAN_BUF_SZ) {
-	if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+	if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	    debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 		state->new, xstrerror());
 	    debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile not replaced.\n");
@@ -1231,7 +1231,7 @@ storeDiskdDirWriteCleanDone(SwapDir * sd
     if (state->fd < 0)
 	return;
     state->walker->Done(state->walker);
-    if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+    if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 	    state->new, xstrerror());
 	debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile "
Index: src/fs/ufs/store_dir_ufs.c
===================================================================
RCS file: /cvsroot/squid/squid/src/fs/ufs/store_dir_ufs.c,v
retrieving revision 1.26
diff -u -p -r1.26 store_dir_ufs.c
--- src/fs/ufs/store_dir_ufs.c	20 May 2002 01:02:25 -0000	1.26
+++ src/fs/ufs/store_dir_ufs.c	25 Jun 2002 20:09:14 -0000
@@ -416,7 +416,7 @@ storeUfsDirRebuildFromDirectory(void *da
 		rb->sd->path, rb->counts.scancount);
 	debug(20, 9) ("file_in: fd=%d %08X\n", fd, filn);
 	statCounter.syscalls.disk.reads++;
-	if (read(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
+	if (FD_READ_METHOD(fd, hdr_buf, SM_PAGE_SIZE) < 0) {
 	    debug(20, 1) ("storeUfsDirRebuildFromDirectory: read(FD %d): %s\n",
 		fd, xstrerror());
 	    file_close(fd);
@@ -1015,7 +1015,7 @@ storeUfsDirWriteCleanEntry(SwapDir * sd,
     state->outbuf_offset += ss;
     /* buffered write */
     if (state->outbuf_offset + ss > CLEAN_BUF_SZ) {
-	if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+	if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	    debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 		state->new, xstrerror());
 	    debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile not replaced.\n");
@@ -1041,7 +1041,7 @@ storeUfsDirWriteCleanDone(SwapDir * sd)
     if (state->fd < 0)
 	return;
     state->walker->Done(state->walker);
-    if (write(state->fd, state->outbuf, state->outbuf_offset) < 0) {
+    if (FD_WRITE_METHOD(state->fd, state->outbuf, state->outbuf_offset) < 0) {
 	debug(50, 0) ("storeDirWriteCleanLogs: %s: write: %s\n",
 	    state->new, xstrerror());
 	debug(20, 0) ("storeDirWriteCleanLogs: Current swap logfile "

